* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  cursor: pointer;
  user-select: none;
}

html,
body {
  width: 100%;
  height: 100%;
  background-color: var(--color-2);
}

a {
  text-decoration: none;
}

img {
  font-family: var(--font-1);
  font-size: 20px;
  color: var(--color-3);
}

#Main {
  overflow: hidden;
}

.container-fluid {
  width: 100%;
  z-index: 20;
  background-color: black;
}

.row {
  width: 100%;
  z-index: 20;
}

section {
  width: 100%;
  z-index: 20;
  background-color: black;
}

/* Page1 */
/* Page1 */
/* Page1 */
.page-1 {
  background-color: var(--color-4);
  width: 100%;
}

.main-section {
  width: 100%;
  height: 100%;
}

#MainRow {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: black;
}

#MainCol1 {
  cursor: pointer;
  /* z-index: 15; */
}

.main-h1 {
  font-weight: 900;
  color: var(--color-1);
  font-family: var(--font-1);
}

.main-h1:nth-child(1) {
  color: var(--color-3);
}

.main-span {
  font-weight: 100;
  color: var(--color-3);
  font-family: var(--font-5);
  border-radius: 12px;
  border-left: 1px solid var(--color-1);
  border-right: 1px solid var(--color-1);
  font-style: italic;
}

.typed-cursor {
  font-weight: 100;
  color: var(--color-1);
  font-size: 50px;
}

#MainCol2 {
  display: flex;
  align-items: center;
  justify-content: center;
  /* z-index: 1; */
}

.main-img-div {
  background-color: var(--color-2);
  /* box-shadow: 0px 0px 10px var(--color-1); */
  /* border-radius: 12px; */
  /* border: 1px solid var(--color-1); */
}

.main-img {
  transition: all 1s ease-in-out;
  min-width: 100%;
  max-width: 100%;
  width: 100%;
  height: 600px;
  min-height: 100%;
  max-height: 100%;
  /* border-radius: 0 80px 80px 0; */
  /* box-shadow: 0px 0px 10px var(--color-3); */
}

.main-btns {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
}

.main-hire-btn {
  transition: all 0.2s linear;
  outline: 1px solid var(--color-1);
  border-radius: 12px;
  color: var(--color-3);
  background-color: var(--color-1);
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  word-spacing: 1px;
}

.main-hire-btn:hover {
  transition: all 0.2s linear;
  background-color: transparent;
}

.main-contact-btn {
  transition: all 0.2s linear;
  outline: 1px solid var(--color-3);
  border-radius: 12px;
  color: var(--color-3);
  background-color: transparent;
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  word-spacing: 1px;
}

.main-contact-btn:hover {
  transition: all 0.2s linear;
  outline-color: transparent;
  background-color: var(--color-1);
}

/* Page1 */
/* Page1 */
/* Page1 */

/* Page2 */
/* Page2 */
/* Page2 */
.page-2 {
  background-color: var(--color-4);
  width: 100%;
}

.about-section {
  width: 100%;
  height: 100%;
}

#AboutRow1 {
  border-left: 2px solid var(--color-1);
  border-right: 2px solid var(--color-1);
}

.about-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.about-para {
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}

#AboutRow2 {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

#AboutCol1 {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  /* z-index: 15; */
}

#AboutCol2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* z-index: 1; */
}

.about-img-div {
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
}

.about-img {
  transition: all 0.1s ease-in-out;
  position: relative;
  overflow: hidden;
  max-width: 100%;
  height: 600px;
  min-height: 100%;
  max-height: 100%;
  z-index: -1;
  border-radius: 12px;
  object-fit: cover;
}

.about-img-div::after {
  transition: all 0.3s ease-in-out;
  content: "";
  position: absolute;
  top: 0;
  transition: all 0.3s ease-in-out;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: var(--color-1);
  opacity: 0.2;
  z-index: 1;
}

.about-img-div:hover::after {
  transition: all 0.3s ease-in-out;
  left: -100%;
}

.about-img-div::before {
  transition: all 0.3s ease-in-out;
  content: "";
  position: absolute;
  top: 0;
  right: -50%;
  width: 100%;
  height: 100%;
  background-color: var(--color-1);
  opacity: 0.2;
  z-index: 1;
}

.about-img-div:hover::before {
  transition: all 0.3s ease-in-out;
  right: -100%;
}

.about-span {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.about-para:nth-child(1) {
  line-height: 40px;
}

.download-cv-btn {
  transition: all 0.2s linear;
  outline: 1px solid var(--color-3);
  border-radius: 12px;
  color: var(--color-3);
  background-color: transparent;
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  word-spacing: 1px;
}

.download-cv-btn:hover {
  transition: all 0.2s linear;
  outline-color: transparent;
  background-color: var(--color-1);
}

/* Page2 */
/* Page2 */
/* Page2 */

/* Page3 */
/* Page3 */
/* Page3 */

.page-3 {
  background-color: var(--color-4);
  width: 100%;
}

.service-section {
  width: 100%;
  height: 100%;
}

#ServiceRow1 {
  border-top: 2px solid var(--color-1);
  border-bottom: 2px solid var(--color-1);
}

.service-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.service-para {
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}

#ServiceCard {
  position: relative;
  overflow: hidden;
  box-shadow: 0px 0px 20px var(--color-3);
  border: 1px solid var(--color-1);
  border-radius: 5px;
  background-color: transparent;
}

#ServiceCard:nth-child(2) {
  box-shadow: 0px 0px 20px var(--color-1);
  display: none;
}

#ServiceCard:hover .card-icon,
#ServiceCard:hover .card-heading {
  transition: all 0.4s ease-in-out;
  color: var(--color-3);
}

#ServiceCard:hover .card-paragraph {
  transition: all 0.4s ease-in-out;
  color: var(--color-3);
}

#ServiceCard:before {
  transition: all 0.4s ease-in-out;
  content: "";
  position: absolute;
  top: -85%;
  left: -85%;
  width: 100%;
  opacity: 0.8;
  height: 100%;
  border-radius: 0 0 49px 0;
  border: 1px solid var(--color-1);
  background-color: var(--color-1);
  z-index: -1;
}

#ServiceCard:hover::before {
  transition: all 0.4s ease-in-out;
  width: 150%;
  height: 150%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.card-icon {
  transition: all 0.4s ease-in-out;
  width: 100%;
  color: var(--color-1);
}

.card-heading {
  transition: all 0.4s ease-in-out;
  width: 100%;
  font-size: 30px;
  font-weight: 100;
  font-family: var(--font-5);
  color: var(--color-1);
}

.card-paragraph {
  transition: all 0.4s ease-in-out;
  width: 100%;
  font-family: var(--font-1);
  font-weight: 500;
  color: var(--color-3);
  letter-spacing: 0.5px;
}

.service-view-btn {
  width: 150px;
  transition: all 0.2s linear;
  outline: 1px solid var(--color-1);
  border-radius: 12px;
  color: var(--color-3);
  background-color: var(--color-1);
  box-shadow: 1px 1px 50px var(--color-3);
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  word-spacing: 1px;
}

.service-view-btn:hover {
  transition: all 0.2s linear;
  background-color: transparent;
}

#ProjectContainer {
  background-color: var(--color-1);
  width: 100%;
}

#ProjectRow {
  padding-left: 3rem;
  padding-right: 3rem;
}

.project-heading {
  color: var(--color-3);
  font-family: var(--font-1);
  font-weight: 900;
}

.project-paragraph {
  font-size: 14px;
  font-family: var(--font-3);
  font-weight: 500;
  letter-spacing: 0.3px;
  color: var(--color-2);
}

.project-hire-btn {
  transition: all 0.2s linear;
  border: 2px solid var(--color-3);
  border-radius: 5px;
  color: var(--color-1);
  background-color: var(--color-3);
  font-family: var(--font-5);
  font-weight: 500;
  font-size: 26px;
}

.project-hire-btn:hover {
  transition: all 0.2s linear;
  background-color: var(--color-1);
  color: var(--color-3);
}

/* Page3 */
/* Page3 */
/* Page3 */

/* Page4 */
/* Page4 */
/* Page4 */
.page-4 {
  background-color: var(--color-4);
}
#PortfolioRow1 {
  border-left: 2px solid var(--color-1);
  border-right: 2px solid var(--color-1);
}

.portfolio-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.portfolio-para {
  position: relative;
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}

.portfolio-btn {
  transition: all 0.3s linear;
  background-color: transparent;
  color: var(--color-1);
  font-weight: 600;
  font-family: var(--font-1);
  border-radius: 8px;
  border: 1px solid var(--color-1);
  font-size: 22px;
}

.portfolio-btn:hover {
  transition: all 0.3s linear;
  background-color: var(--color-1);
  color: var(--color-3);
  border-color: var(--color-3);
}

.portfolio-btn.portfoliobtnactive {
  transition: all 0.3s linear;
  background-color: var(--color-1);
  color: var(--color-3);
  border-color: var(--color-3);
}

.portfolio-card {
  width: 100%;
  height: 100%;
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.portfolio-card-img {
  width: 100%;
  height: 100%;
  max-height: 100%;
  min-height: 100%;
  max-width: 100%;
  min-width: 100%;
  border-radius: 8px;
}

.portfolio-card-content {
  transition: all 0.3s ease-in-out;
  position: absolute;
  padding: 30px;
  width: 95%;
  height: 95%;
  border-radius: 8px;
  background-color: var(--color-6);
  opacity: 0;
  visibility: hidden;
}

.portfolio-card:hover .portfolio-card-content {
  transition: all 0.3s ease-in-out;
  visibility: visible;
  opacity: 1;
}

.portfolio-card-p {
  width: 100%;
  height: 25%;
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  color: var(--color-3);
}

.portfolio-card-h6 {
  width: 100%;
  height: 25%;
  font-family: var(--font-1);
  font-weight: 900;
  letter-spacing: 1px;
  color: var(--color-1);
}

.portfolio-card-icon {
  width: 100%;
  height: 50%;
  color: var(--color-3);
}

.portfolio-view-btn {
  width: 150px;
  transition: all 0.2s linear;
  outline: 1px solid var(--color-1);
  border-radius: 12px;
  color: var(--color-3);
  background-color: var(--color-1);
  box-shadow: 1px 1px 50px var(--color-3);
  font-family: var(--font-2);
  font-weight: 900;
  letter-spacing: 1px;
  word-spacing: 1px;
}

.portfolio-view-btn:hover {
  transition: all 0.2s linear;
  background-color: transparent;
}

#PortfolioContainer2 {
  width: 100%;
  background-color: var(--color-1);
}

#PortfolioRow3 {
  background-color: var(--color-1);
  width: 100%;
}

.portfolio-num {
  width: 100%;
  letter-spacing: 5px;
  color: var(--color-3);
  font-weight: 900;
  font-family: var(--font-5);
}

.portfolio-p {
  width: 100%;
  color: var(--color-2);
  font-weight: 600;
  font-family: var(--font-3);
}

/* Page4 */
/* Page4 */
/* Page4 */

/* Page5 */
/* Page5 */
/* Page5 */
.page-5 {
  background-color: var(--color-4);
}
#ResumeRow1 {
  border-top: 2px solid var(--color-1);
  border-bottom: 2px solid var(--color-1);
}

.resume-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.resume-para {
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}
#ResumeContainer {
  cursor: pointer;
}

#ResumeRow2 {
  width: 100%;
  gap: 0.1rem 0rem;
}
#ResumeCol {
  cursor: pointer;
}

.resume-htag {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  width: 3px;
  height: 280px;
  background-color: var(--color-1);
}
.none-resume-htag {
  align-items: center;
  height: 0;
}
.resume-htag:before {
  content: "#";
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  font-family: var(--font-2);
  position: absolute;
  width: 50px;
  height: 50px;
  background-color: var(--color-1);
  color: var(--color-2);
  border-radius: 100%;
}

.resume-li {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: 100%;
  background-color: var(--color-2);
  border: 1px solid var(--color-1);
  filter: drop-shadow(0 0 10px var(--color-1));
}

.resume-li-h6 {
  color: var(--color-1);
  font-family: var(--font-5);
  letter-spacing: 1px;
}
.resume-li-h5 {
  color: var(--color-1);
  font-family: var(--font-3);
  font-weight: 500;
}
.resume-li-p {
  color: var(--color-3);
  font-family: var(--font-1);
  font-weight: 100;
}
/* Page5 */
/* Page5 */
/* Page5 */

/* Page6 */
/* Page6 */
/* Page6 */

.page-6 {
  background-color: var(--color-4);
}
#BlogRow1 {
  border-left: 2px solid var(--color-1);
  border-right: 2px solid var(--color-1);
}

.blog-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.blog-para {
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}
#BlogCarousel {
  width: 100%;
  height: 100%;
}
#BlogCarousleCell {
  width: 450px;
}
.dot {
  transition: all 0.4s linear !important;
  width: 10px !important;
  height: 10px !important;
  background-color: var(--color-1) !important;
  border-radius: 50% !important;
  font-size: 0 !important;
  border: none !important;
}

.dot.is-selected {
  transition: all 0.4s linear !important;
  scale: 1.3 !important;
}
.blog-card {
  width: 100%;
  height: 100%;
}
.blog-card-img-div {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.blog-card-img {
  transition: all 0.3s linear;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.blog-card:hover .blog-card-img {
  transition: all 0.3s linear;
  transform: scale(1.09);
}

.blog-card-h4 {
  color: var(--color-1);
  font-family: var(--font-2);
  width: 100%;
}
.blog-card-span-1 {
  width: 100%;
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: -0.5px;
}
.blog-card-small {
  opacity: 0.5;
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: -0.5px;
}
.blog-card-p {
  width: 100%;
  color: var(--color-3);
  font-family: var(--font-3);
  font-weight: 300;
  letter-spacing: 0.5px;
  font-size: 14px;
}
.blog-card-button {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-1);
  color: var(--color-3);
  border-radius: 8px;
  font-size: 15px;
  font-weight: 500;
  font-family: var(--font-1);
}
.blog-card-button:hover {
  transition: all 0.3s ease-in-out;
  background-color: transparent;
}
/* Page6 */
/* Page6 */
/* Page6 */

/* Page7 */
/* Page7 */
/* Page7 */

.page-7 {
  background-color: var(--color-4);
}
#ContactRow1 {
  border-top: 2px solid var(--color-1);
  border-bottom: 2px solid var(--color-1);
}

.contact-h1 {
  color: var(--color-1);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
  font-weight: 900;
}

.contact-para {
  color: var(--color-3);
  font-family: var(--font-1);
  letter-spacing: 1px;
  word-spacing: 1px;
}
.contact-form {
  box-shadow: 0px 0px 20px var(--color-2);
  border-radius: 5px;
  background-color: var(--color-1);
  border-radius: 100px 0 0 0;
}

.contact-name-input,
.contact-email-input {
  border-radius: 15px;
  background-color: var(--color-2);
  color: var(--color-1);
  font-size: 16px;
  font-family: var(--font-3);
  font-weight: 400;
  border: none;
  box-shadow: none;
  outline: none;
  letter-spacing: 0.5px;
  text-transform: capitalize;
}
.contact-name-input::placeholder,
.contact-email-input::placeholder,
.contact-textarea-input::placeholder {
  text-transform: capitalize;
  color: var(--color-1);
  font-family: var(--font-1);
}
input {
  transition: all 0.3s ease-in-out;
}
input:invalid {
  transition: all 0.3s ease-in-out;
  border-bottom: 2px solid var(--color-5);
}

input:valid {
  transition: all 0.3s ease-in-out;
  border-bottom: 2px solid var(--color-3);
}
textarea {
  transition: all 0.3s ease-in-out;
}
textarea:invalid {
  transition: all 0.3s ease-in-out;
  border-bottom: 2px solid var(--color-5);
}

textarea:valid {
  transition: all 0.3s ease-in-out;
  border-bottom: 2px solid var(--color-3);
}
.contact-textarea-input {
  border-radius: 15px;
  background-color: var(--color-2);
  color: var(--color-1);
  font-size: 16px;
  font-family: var(--font-3);
  font-weight: 400;
  border: none;
  box-shadow: none;
  outline: none;
  letter-spacing: 0.5px;
  text-transform: capitalize;
}
.contact-submit {
  cursor: pointer;
}
.contact-submit-btn {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-2);
  color: var(--color-1);
  border-radius: 8px;
  font-size: 15px;
  font-weight: 700;
  font-family: var(--font-1);
  border: none;
  box-shadow: none;
  outline: none;
}
.contact-submit-btn:hover {
  transition: all 0.3s ease-in-out;
  background-color: var(--color-3);
  color: var(--color-2);
}
.contact-submit-btn-para {
  width: 100%;
  opacity: 0;
  scale: 0;
  font-family: var(--font-1);
  font-size: 14px;
  color: var(--color-2);
  font-weight: 500;
}
/* Page7 */
/* Page7 */
/* Page7 */
